-- require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'
require "Items/ItemPicker"

-- Silencer

table.insert(ProceduralDistributions["list"]["ArmyHangarTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmyHangarTools"].items, 1);

table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);

table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 2);

table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, 1.5);

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 3);

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 0.1);

table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreAccessories"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreAccessories"].items, 5);

table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreCases"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreCases"].items, 5);

table.insert(ProceduralDistributions["list"]["GunStorePistols"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStorePistols"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreRifles"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreRifles"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 1);

table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 3);

table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 4);

table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 1);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 3)

table.insert(ProceduralDistributions["list"]["PoliceDesk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceDesk"].items, 0.1);

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceLockers"].items, 2);

table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 2);

table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 4);

table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, 3);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 1);

table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, 1);

table.insert(ProceduralDistributions["list"]["CrateTools"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 0.03);

table.insert(ProceduralDistributions["list"]["SecurityLockers"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["SecurityLockers"].items, 0.5);

table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, 0.03);	

table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, 0.03);	

table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, "Silencer");
table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, 0.03);


table.insert(VehicleDistributions.ArmyLightTruckBed.items, "Silencer");
table.insert(VehicleDistributions.ArmyLightTruckBed.items, 0.5);

table.insert(VehicleDistributions.ArmyHeavyTruckBed.items, "Silencer");
table.insert(VehicleDistributions.ArmyHeavyTruckBed.items, 1);

table.insert(VehicleDistributions.PoliceTruckBed.items, "Silencer");
table.insert(VehicleDistributions.PoliceTruckBed.items, 0.5);

table.insert(VehicleDistributions.PoliceSWATTruckBed.items, "Silencer");
table.insert(VehicleDistributions.PoliceSWATTruckBed.items, 2);

-- Makeshift Silencer

table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusMisc"].items, 0.5);

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 1);

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 0.5);

table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 5);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 5)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, 2);

table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGuns"].items, 2);

table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopGunsSpecial"].items, 2);

table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["PawnShopCases"].items, 1);

table.insert(ProceduralDistributions["list"]["CrateTools"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 0.05);

table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["ShelfGeneric"].items, 0.03);	

table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["MechanicShelfMisc"].items, 0.05);	

table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, "MetalPipeSilencer");
table.insert(ProceduralDistributions["list"]["CrateRandomJunk"].items, 0.05);

-- Thug Notebook

table.insert(ProceduralDistributions["list"]["BarCounterWeapon"]["junk"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"]["junk"].items, 2.5);

table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["PlankStashGun"].items, 5)

table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["PoliceEvidence"].items, 10);

table.insert(ProceduralDistributions["list"]["SchoolLockers"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["SchoolLockers"].items, 0.5);

table.insert(ProceduralDistributions["list"]["WardrobeRedneck"].items, "ThugNotebook");
table.insert(ProceduralDistributions["list"]["WardrobeRedneck"].items, 8);


